Boomi API Control Plane REST API - RuleSets
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get ruleset by ID
Get a single rule set.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| enabled required | boolean Active for validation. |
| name required | string Name of the ruleset. |
| description | string <= 1000 characters Optional description of the ruleset. |
| defaultRuleSet | boolean Built-in default (cannot delete). |
| fileName | string Uploaded ruleset filename. |
| id | string <uuid> System-assigned ID (read-only). |
Response samples
- 200
- default
{- "name": "Advanced Security",
- "description": "some text...",
- "enabled": true,
- "defaultRuleSet": true,
- "fileName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Update a ruleset
Update a rule set.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| enabled required | boolean Active for validation. |
| name required | string Name of the ruleset. |
| description | string <= 1000 characters Optional description of the ruleset. |
| defaultRuleSet | boolean Built-in default (cannot delete). |
| fileName | string Uploaded ruleset filename. |
| id | string <uuid> System-assigned ID (read-only). |
Responses
Response Schema: application/json
| enabled required | boolean Active for validation. |
| name required | string Name of the ruleset. |
| description | string <= 1000 characters Optional description of the ruleset. |
| defaultRuleSet | boolean Built-in default (cannot delete). |
| fileName | string Uploaded ruleset filename. |
| id | string <uuid> System-assigned ID (read-only). |
Request samples
- Payload
{- "name": "Advanced Security",
- "description": "some text...",
- "enabled": true,
- "defaultRuleSet": true,
- "fileName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Response samples
- 200
- default
{- "name": "Advanced Security",
- "description": "some text...",
- "enabled": true,
- "defaultRuleSet": true,
- "fileName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Delete a ruleset
Delete a rule set.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Assign a ruleset to an organization
Add an organization to a rule set. The rule set will be applied to APIs from that organization.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| org required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Remove a ruleset from an organization
Remove an organization from a rule set. The rule set will no longer be applied to APIs from that organization. If no more organizations are assigned to this rule set afte the removal, the rule set will be applied to all organizations.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
| org required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Download ruleset file
Get rule set file for a rule set.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/octet-stream
Response samples
- 404
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Upload ruleset file
Upload rule set file, overwriting any existing file for that rule set.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: multipart/form-data
| file required | string <binary> |
Responses
Response Schema: application/json
| errors required | Array of strings List of validation errors found in the ruleset file. |
Response samples
- 200
- default
{- "errors": [
- "string"
]
}List all rulesets
Get filtered and paged list of all rule sets.
Authorizations:
query Parameters
| text | string |
| name | string |
| enabled | boolean |
| defaultRuleSet | boolean |
| global | boolean |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (RuleSetDTO) List of RuleSetDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Advanced Security",
- "description": "some text...",
- "enabled": true,
- "defaultRuleSet": true,
- "fileName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create a new ruleset
Create a new rule set.
Authorizations:
Request Body schema: application/jsonrequired
| enabled required | boolean Active for validation. |
| name required | string Name of the ruleset. |
| description | string <= 1000 characters Optional description of the ruleset. |
| defaultRuleSet | boolean Built-in default (cannot delete). |
| fileName | string Uploaded ruleset filename. |
| id | string <uuid> System-assigned ID (read-only). |
Responses
Response Schema: application/json
| enabled required | boolean Active for validation. |
| name required | string Name of the ruleset. |
| description | string <= 1000 characters Optional description of the ruleset. |
| defaultRuleSet | boolean Built-in default (cannot delete). |
| fileName | string Uploaded ruleset filename. |
| id | string <uuid> System-assigned ID (read-only). |
Request samples
- Payload
{- "name": "Advanced Security",
- "description": "some text...",
- "enabled": true,
- "defaultRuleSet": true,
- "fileName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Response samples
- 200
- default
{- "name": "Advanced Security",
- "description": "some text...",
- "enabled": true,
- "defaultRuleSet": true,
- "fileName": "string",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}Re-validate all API specs against rulesets
Update lint results for all APIs. This may take a very long time! While this process is running, any further calls to this endpoint will return an error!
Authorizations:
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}Re-validate all API specs asynchronously
Asynchronously update lint results for all APIs. This may take a very long time! While this process is running, any further calls to this endpoint will return an error!
Authorizations:
Responses
Response Schema: application/json
| id required | string <uuid> UUID of the async job. |
Response samples
- 200
- default
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}List rules in a ruleset
Get infos about each rule in a rule set, including rules from extended rule sets.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| active required | boolean Whether the rule is currently active. |
| description required | string Human-readable description of what the rule checks. |
| name required | string Identifier of the rule. |
| severity required | string Enum: "ERROR" "WARNING" "INFO" "HINT" Severity of the rule: ERROR, WARNING, or INFO. |
| type required | string Enum: "SECURITY" "QUALITY" Category of the rule: SECURITY or QUALITY. |
Response samples
- 200
- default
[- {
- "name": "string",
- "active": true,
- "description": "string",
- "severity": "ERROR",
- "type": "SECURITY"
}
]List organizations assigned to a ruleset
Get all organizations assigned to a rule set.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Remove all organizations from a ruleset
Remove all organizations from a rule set, making it apply to all organizations instead.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List organizations available to assign
Get all organizations that may be added to a rule set. This list will contain all publishing organizations that have not been added, yet.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| text | string |
| type | string Enum: "BOTH" "CONSUMER" "PUBLISHER" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (OrganizationDTO) List of OrganizationDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "name": "Default Organization",
- "displayName": "Default Organization",
- "email": "max.mustermann@apiida.com",
- "description": "This is very cool Developer Portal",
- "parent": 1,
- "type": "BOTH",
- "status": "ACTIVE",
- "defaultOwner": true,
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "hasImage": false,
- "parentDisplayName": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}